# Uses of Interface
com.usatiuk.kleppmanntree.StorageInterface

Packages that use StorageInterface
Package
Description
com.usatiuk.dhfs.jkleppmanntree
com.usatiuk.kleppmanntree

## Uses of StorageInterface in com.usatiuk.dhfs.jkleppmanntree

Classes in com.usatiuk.dhfs.jkleppmanntree that implement StorageInterface
Modifier and Type
Class
Description
`class`
`JKleppmannTreeManager.JKleppmannTree.JKleppmannTreeStorageInterface`

## Uses of StorageInterface in com.usatiuk.kleppmanntree

Constructors in com.usatiuk.kleppmanntree with parameters of type StorageInterface
Modifier
Constructor
Description
``
`KleppmannTree(StorageInterface<TimestampT,PeerIdT,MetaT,NodeIdT> storage, PeerInterface<PeerIdT> peers, Clock<TimestampT> clock, OpRecorder<TimestampT,PeerIdT,MetaT,NodeIdT> opRecorder)`